ข้ามไปยังเนื้อหา

Lingbot World 2

ผสานการทำงาน

ID โมเดล robbyant/lingbot-world-2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/robbyant/lingbot-world-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "sdp": "example"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.001 1 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Robbyant 3D #worlds#world-model#realtime#interactive

เซสชันโมเดลโลกแบบโต้ตอบตามเวลาจริงโดยใช้การจับมือแบบ offer และ answer ในลักษณะ WebRTC

Robbyant · ข้อมูล (JSON)

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น
ขั้นสูง type · session_id · ice_status · credential_age_seconds · ice_servers
ค่าเริ่มต้น offer
POST /run/robbyant/lingbot-world-2?wait=20 ใบเสนอราคา → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/robbyant/lingbot-world-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "sdp": "example"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Lingbot World 2

เริ่มเซสชันโลกแบบโต้ตอบที่สามารถสำรวจได้ โดยควบคุมการเคลื่อนไหวและกล้องแบบสด อินพุตคือฟิลด์การเชื่อมต่อ ได้แก่ `sdp` ที่จำเป็น `type` ซึ่งมีค่าเริ่มต้นเป็น offer รวมถึง `session_id`, `ice_servers`, `ice_status` และ `credential_age_seconds` ส่งคืนข้อมูลเซสชันแทนไฟล์

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
sdpจำเป็น
ประเภทstring
typeไม่บังคับ
ประเภทstring
ค่าเริ่มต้นoffer
session_idไม่บังคับ
ประเภทstring | null
ice_serversไม่บังคับ
ประเภทobject[]
ice_statusไม่บังคับ
ประเภทstring | null
credential_age_secondsไม่บังคับ
ประเภทnumber | null
≥ 0
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "robbyant/lingbot-world-2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "sdp": "example"
  },
  "output": {},
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/robbyant/lingbot-world-2.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt